#include "EHS.h"
#include "Str.h"
#include "IO/Console.h"

lwe::Int_32 Main(lwe::Str_8* appName, lwe::Str_8* appVerId, lwe::Version* appVer)
{
	*appName = "StrToHash";
	*appVerId = "Release";
	*appVer = {1, 0, 0};

    lwe::Console::Attach();

    lwe::Vector<lwe::Str_8> args = lwe::Console::GetArgs_8();

    if (args.Size() > 1)
    {
        for (lwe::UInt_64 i = 1; i < args.Size(); ++i)
            lwe::Console::Write_8("Result " + lwe::Str_8::FromNum(i) + ": " + lwe::Str_8::FromNum(args[i].Hash_64()));
    }
    else
    {
        lwe::Console::Write_8("String: ", false);
        lwe::Str_8 in = lwe::Console::Read_8();
        lwe::Console::Write_8("Result: " + lwe::Str_8::FromNum(in.Hash_64()));

        lwe::Console::Read_8();
    }

    lwe::Console::Free();

    return 0;
}
